package com.yuchen.saas.park.service.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.entity.park.NestApplyManageParkBinding;
import com.yuchen.saas.park.api.param.ApplyManageParkBindingSaveParam;
import com.yuchen.saas.park.api.vo.park.ApplyManageParkDetailVO;

import java.util.List;

/**
 * <p>
 * 园区应用关系 服务类
 * </p>
 *
 * @author cxj
 * @since 2023-11-13
 */
public interface INestApplyManageParkBindingService extends IService<NestApplyManageParkBinding> {

    Boolean saveBinding(ApplyManageParkBindingSaveParam param);


    ApplyManageParkDetailVO bindingDetail(Long parkId);

    List<NestApplyManageParkBinding> listByApplyId(Long applyId);

    List<NestApplyManageParkBinding> listByParkIdList(List<Long> parkIdList);
}
